%define         debug_package %{nil}

Name:           gnome-do-docklets
Version:        0.8.2
Release:        4%{?dist}
Summary:        Docklets for GNOME Do
Group:          Applications/Productivity
License:        GPLv3+
URL:            http://do.davebsd.com
Source0:        http://edge.launchpad.net/do-plugins/0.8/%{version}/+download/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0:         gnome-do-docklets-0.8.2-mono-update.patch

BuildRequires:  mono-devel ndesk-dbus-glib-devel gnome-do-devel
BuildRequires:  gnome-sharp-devel gtk-sharp2-devel gnome-desktop-sharp-devel
BuildRequires:  gnome-keyring-sharp-devel monodevelop mono-addins-devel
BuildRequires:  notify-sharp-devel
BuildRequires:  intltool
# Needed because the patch touches Makefile.am
BuildRequires:  automake
Requires:       gnome-do

# Mono only available on these:
ExclusiveArch: %ix86 x86_64 ppc ppc64 ia64 %{arm} sparcv9 alpha s390x

%description
GNOME Do allows you to quickly search for many objects present in your
GNOME desktop environment (applications, Evolution contacts, Firefox
bookmarks, files, artists and albums in Rhythmbox, Pidgin buddies) and
perform commonly used commands on those objects (Run, Open, Email,
Chat, Play, etc.).

This package contains various docklets for GNOME Do.

%prep
%setup -q
%patch0 -p1
# build.rules.mk is imported into 70+ Makefile.in's
# by Makefile.am.  Run autoreconf to regenerate the
# Makefile.in's 
autoreconf -i

%build
%configure 
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS COPYRIGHT
%{_libdir}/gnome-do/plugins/*
#Fixed in trunk: https://bugs.launchpad.net/do/+bug/395740
%exclude %{_libdir}/gnome-do/plugins/VolumeDocklet*

%changelog
* Fri Jan 07 2011 Dan Horák <dan[at]danny.cz> - 0.8.2-4
- updated the supported arch list

* Wed Nov 10 2010 Gen Zhang <genneth@gmail.com> 0.8.2-3
- Added patch to make it compile with packaged mono on F14

* Mon Aug 24 2009 Juan Rodriguez <nushio@fedoraproject.org> 0.8.2-2
- Removed Volume Docklet.(For info: https://bugs.launchpad.net/do/+bug/395740 )

* Thu Aug 20 2009 Juan Rodriguez <nushio@fedoraproject.org> 0.8.2-1
- Initial packaging
